<?php
/*
 * This file is part of the easy-CMS project.
 * easy-CMS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * easy-CMS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with easy-CMS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

include_once('config.inc.php');

/**
 * Allows colors operations and outputs.
 *
 * @access   private
 * @author	Cedric Francoys <cedric.francoys@easy-cms.org>
 * @version	Bool.class, Sat Jan 08 20:02:22 CET 2005
 * @package	Types
 */
class Bool {

	var $value;

  function Bool($value = 0) {
		$this->setValue($value);
  } 

	function getType() {
		return EASY_CMS_TYPE_BOOL;
	}
	
  function setValue($value) {
		$this->value = $value;
  } 

  function getValue() {
		return $this->value;
  }

  function compareTo(&$boolObj){
		return ($this->getValue() - $boolObj->getValue());
  }

  function isTrue() {
		return ($this->getValue() >= 1);
  } 

  function isFalse() {
		return ($this->getValue() <= 0);
  } 

  function toString() {
		return $this->isTrue()?"true":"false";
  } 

  function toXML() {
		return $this->toString();
  } 

  function toSQL() {
		return $this->isTrue()?1:0;
  } 
}
?>